org.deidentifier.arx.gui.view.impl.common.async

## Class AnalysisManager

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.async.AnalysisManager

    public class AnalysisManager
    extends java.lang.Object

This class manages the execution of asynchronous analyses.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`AnalysisManager(org.eclipse.swt.widgets.Display display)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getProgress()` Returns the progress, if any
`boolean` `isRunning()` Returns whether a process is running
`void` `start(Analysis analysis)` Start a new analysis.
`void` `stop()` Stops all running analysis threads.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnalysisManager

    public AnalysisManager(org.eclipse.swt.widgets.Display display)

Creates a new instance.

Parameters:
  `display` -

### Method Detail

#### getProgress

    public int getProgress()

Returns the progress, if any

Returns:

#### isRunning

    public boolean isRunning()

Returns whether a process is running

Returns:

#### start

    public void start(Analysis analysis)

Start a new analysis. Analyses already executing will be canceled.

Parameters:
  `analysis` -

#### stop

    public void stop()

Stops all running analysis threads.